diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/LdapServerAdmin.class.php b/drupal7/sites/all/modules/ldap/ldap_servers/LdapServerAdmin.class.php
index 7b322178..f0e1bf92 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/LdapServerAdmin.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/LdapServerAdmin.class.php
@@ -2,23 +2,24 @@
 
 /**
  * @file
- * LDAP Server Admin Class
- *
- *
+ * LDAP Server Admin Class.
  */
 
 module_load_include('php', 'ldap_servers', 'LdapServer.class');
-
+/**
+ *
+ */
 class LdapServerAdmin extends LdapServer {
 
   public $bindpw_new = FALSE;
   public $bindpw_clear = FALSE;
 
   /**
-   * @param $type = 'all', 'enabled'
+   * @param $type
+   *   = 'all', 'enabled'
    */
   public static function getLdapServerObjects($sid = NULL, $type = NULL, $class = 'LdapServer', $reset = FALSE) {
-    $servers = array();
+    $servers = [];
     if (module_exists('ctools')) {
       ctools_include('export');
       if ($reset) {
@@ -34,8 +35,8 @@ class LdapServerAdmin extends LdapServer {
       }
       catch (Exception $e) {
         drupal_set_message(t('server index query failed. Message = %message, query= %query',
-          array('%message' => $e->getMessage(), '%query' => $e->query_string)), 'error');
-        return array();
+          ['%message' => $e->getMessage(), '%query' => $e->query_string]), 'error');
+        return [];
       }
     }
     foreach ($select as $result) {
@@ -45,10 +46,16 @@ class LdapServerAdmin extends LdapServer {
 
   }
 
-  function __construct($sid) {
+  /**
+   *
+   */
+  public function __construct($sid) {
     parent::__construct($sid);
   }
 
+  /**
+   *
+   */
   protected function populateFromDrupalForm($op, $values) {
     $this->inDatabase = ($op == 'edit');
     $this->sid = trim($values['sid']);
@@ -92,16 +99,15 @@ class LdapServerAdmin extends LdapServer {
     $this->groupTestGroupDn = trim($values['grp_test_grp_dn']);
     $this->groupTestGroupDnWriteable = trim($values['grp_test_grp_dn_writeable']);
 
-
     $this->searchPagination = ($values['search_pagination']) ? 1 : 0;
     $this->searchPageSize = trim($values['search_page_size']);
 
   }
 
   /**
-   * @param string enum $op 'add', 'update'
+   * @param string enum $op
+   *   'add', 'update'.
    */
-
   public function save($op) {
 
     $values = new stdClass();
@@ -120,12 +126,12 @@ class LdapServerAdmin extends LdapServer {
       $values->bindpw = NULL;
     }
 
-    $values->tls = (int)$this->tls;
-    $values->followrefs = (int)$this->followrefs;
+    $values->tls = (int) $this->tls;
+    $values->followrefs = (int) $this->followrefs;
 
     if (module_exists('ctools')) {
       ctools_include('export');
-      // Populate our object with ctool's properties
+      // Populate our object with ctool's properties.
       $object = ctools_export_crud_new('ldap_servers');
 
       foreach ($object as $property => $value) {
@@ -138,15 +144,18 @@ class LdapServerAdmin extends LdapServer {
       try {
         $values->export_type = NULL;
         $result = ctools_export_crud_save('ldap_servers', $values);
-      } catch (Exception $e) {
+      }
+      catch (Exception $e) {
         $values->export_type = EXPORT_IN_DATABASE;
         $result = ctools_export_crud_save('ldap_servers', $values);
       }
-      
-      ctools_export_load_object_reset('ldap_servers'); // ctools_export_crud_save doesn't invalidate cache
+
+      // ctools_export_crud_save doesn't invalidate cache.
+      ctools_export_load_object_reset('ldap_servers');
 
     }
-    else { // directly via db
+    // Directly via db.
+    else {
       unset($values->numeric_sid);
       if ($op == 'add') {
         $result = drupal_write_record('ldap_servers', $values);
@@ -166,12 +175,16 @@ class LdapServerAdmin extends LdapServer {
     }
   }
 
+  /**
+   *
+   */
   public function delete($sid) {
     if ($sid == $this->sid) {
       $result = db_delete('ldap_servers')->condition('sid', $sid)->execute();
       if (module_exists('ctools')) {
         ctools_include('export');
-        ctools_export_load_object_reset('ldap_servers'); // invalidate cache
+        // Invalidate cache.
+        ctools_export_load_object_reset('ldap_servers');
       }
       $this->inDatabase = FALSE;
       return $result;
@@ -180,66 +193,73 @@ class LdapServerAdmin extends LdapServer {
       return FALSE;
     }
   }
+
+  /**
+   *
+   */
   public function getLdapServerActions() {
-    $switch = ($this->status ) ? 'disable' : 'enable';
-    $actions = array();
+    $switch = ($this->status) ? 'disable' : 'enable';
+    $actions = [];
     $actions[] = l(t('edit'), LDAP_SERVERS_MENU_BASE_PATH . '/servers/edit/' . $this->sid);
     if (property_exists($this, 'type')) {
       if ($this->type == 'Overridden') {
-          $actions[] = l(t('revert'), LDAP_SERVERS_MENU_BASE_PATH . '/servers/delete/' . $this->sid);
+        $actions[] = l(t('revert'), LDAP_SERVERS_MENU_BASE_PATH . '/servers/delete/' . $this->sid);
       }
       if ($this->type == 'Normal') {
-          $actions[] = l(t('delete'), LDAP_SERVERS_MENU_BASE_PATH . '/servers/delete/' . $this->sid);
+        $actions[] = l(t('delete'), LDAP_SERVERS_MENU_BASE_PATH . '/servers/delete/' . $this->sid);
       }
     }
     else {
-        $actions[] = l(t('delete'), LDAP_SERVERS_MENU_BASE_PATH . '/servers/delete/' . $this->sid);
+      $actions[] = l(t('delete'), LDAP_SERVERS_MENU_BASE_PATH . '/servers/delete/' . $this->sid);
     }
     $actions[] = l(t('test'), LDAP_SERVERS_MENU_BASE_PATH . '/servers/test/' . $this->sid);
     $actions[] = l($switch, LDAP_SERVERS_MENU_BASE_PATH . '/servers/' . $switch . '/' . $this->sid);
     return $actions;
   }
 
+  /**
+   *
+   */
   public function drupalForm($op) {
 
-  $form['server'] = array(
-    '#type' => 'fieldset',
-    '#title' => t('Connection settings'),
-    '#collapsible' => TRUE,
-    '#collapsed' => TRUE,
-  );
-
-  $form['bind_method'] = array(
-    '#type' => 'fieldset',
-    '#title' => t('Binding Method'),
-    '#description' => t('How the Drupal system is authenticated by the LDAP server.'),
-    '#collapsible' => TRUE,
-    '#collapsed' => TRUE,
-  );
-
-  $form['users'] = array(
-    '#type' => 'fieldset',
-    '#title' => t('LDAP User to Drupal User Relationship'),
-    '#description' => t('How are LDAP user entries found based on Drupal username or email?  And vice-versa?
+    $form['server'] = [
+      '#type' => 'fieldset',
+      '#title' => t('Connection settings'),
+      '#collapsible' => TRUE,
+      '#collapsed' => TRUE,
+    ];
+
+    $form['bind_method'] = [
+      '#type' => 'fieldset',
+      '#title' => t('Binding Method'),
+      '#description' => t('How the Drupal system is authenticated by the LDAP server.'),
+      '#collapsible' => TRUE,
+      '#collapsed' => TRUE,
+    ];
+
+    $form['users'] = [
+      '#type' => 'fieldset',
+      '#title' => t('LDAP User to Drupal User Relationship'),
+      '#description' => t('How are LDAP user entries found based on Drupal username or email?  And vice-versa?
        Needed for LDAP Authentication and Authorization functionality.'),
-    '#collapsible' => TRUE,
-    '#collapsed' => TRUE,
-  );
-
-  $form['groups'] = array(
-    '#type' => 'fieldset',
-    '#title' => t('LDAP Group Configuration'),
-    '#description' => t('How are groups defined on your LDAP server?  This varies slightly from one LDAP implementation to another
+      '#collapsible' => TRUE,
+      '#collapsed' => TRUE,
+    ];
+
+    $form['groups'] = [
+      '#type' => 'fieldset',
+      '#title' => t('LDAP Group Configuration'),
+      '#description' => t('How are groups defined on your LDAP server?  This varies slightly from one LDAP implementation to another
       such as Active Directory, Novell, OpenLDAP, etc. Check everything that is true and enter all the values you know.'),
-    '#collapsible' => TRUE,
-    '#collapsed' => TRUE,
-  );
-
-  $supports = (ldap_servers_php_supports_pagination()) ? t('support pagination!') : t('NOT support pagination.');
-  $form['pagination'] = array(
-    '#type' => 'fieldset',
-    '#title' => t('LDAP Pagination'),
-    '#description' => t('In PHP 5.4, pagination is supported in ldap queries.
+      '#collapsible' => TRUE,
+      '#collapsed' => TRUE,
+    ];
+
+    $supports = (ldap_servers_php_supports_pagination()) ? t('support pagination!') : t('NOT support pagination.');
+    $form['pagination'] = [
+      '#type' => 'fieldset',
+      '#title' => t('LDAP Pagination'),
+      '#description' => t('In PHP 5.4, pagination is supported in ldap queries.
       A patch to earlier versions of PHP also supports this.')
       . ' <strong>' . t('This PHP installation appears to') . ' ' . $supports . '</strong> '
       . '<p>' . t('The advantage to pagination support is that if an ldap server is setup to return only
@@ -249,79 +269,80 @@ class LdapServerAdmin extends LdapServer {
       Pagination is most useful when large queries for batch creating or
       synching accounts are used.  If you are not using this server for such
       tasks, its recommended to leave pagination disabled.') . '</p>',
-    '#collapsible' => TRUE,
-    '#collapsed' => !ldap_servers_php_supports_pagination(),
-  );
-
+      '#collapsible' => TRUE,
+      '#collapsed' => !ldap_servers_php_supports_pagination(),
+    ];
 
-  $field_to_prop_maps = $this->field_to_properties_map();
-  foreach ($this->fields() as $field_id => $field) {
-    if (isset($field['form'])) {
+    $field_to_prop_maps = $this->field_to_properties_map();
+    foreach ($this->fields() as $field_id => $field) {
+      if (isset($field['form'])) {
 
-      if (!isset($field['form']['required']) && isset($field['schema']['not null']) && $field['form']['#type'] != 'checkbox') {
-        $field['form']['#required'] = (boolean)$field['schema']['not null'];
-      }
-      if (isset($field['schema']['length']) && !isset($field['form']['#maxlength'])) {
-        $field['form']['#maxlength'] = $field['schema']['length'];
-      }
-      if (isset($field_to_prop_maps[$field_id])) {
-        $field['form']['#default_value'] = $this->{$field_to_prop_maps[$field_id]};
-      }
-      $fieldset = @$field['form']['fieldset'];
-      if ($fieldset) {
-        unset($field['form']['fieldset']);
-        $form[$fieldset][$field_id] = $field['form'];
-      }
-      else {
-        $form[$field_id] = $field['form'];
+        if (!isset($field['form']['required']) && isset($field['schema']['not null']) && $field['form']['#type'] != 'checkbox') {
+          $field['form']['#required'] = (boolean) $field['schema']['not null'];
+        }
+        if (isset($field['schema']['length']) && !isset($field['form']['#maxlength'])) {
+          $field['form']['#maxlength'] = $field['schema']['length'];
+        }
+        if (isset($field_to_prop_maps[$field_id])) {
+          $field['form']['#default_value'] = $this->{$field_to_prop_maps[$field_id]};
+        }
+        $fieldset = @$field['form']['fieldset'];
+        if ($fieldset) {
+          unset($field['form']['fieldset']);
+          $form[$fieldset][$field_id] = $field['form'];
+        }
+        else {
+          $form[$field_id] = $field['form'];
+        }
       }
     }
-  }
 
-  $form['server']['sid']['#disabled'] = ($op == 'edit');
+    $form['server']['sid']['#disabled'] = ($op == 'edit');
 
-  if (!function_exists('ldap_set_rebind_proc')) {
-    $form['server']['followrefs']['#disabled'] = TRUE;
-    $form['server']['followrefs']['#description'] = t('This functionality is disabled because the function ldap_set_rebind_proc can not be found on this server.  Perhaps your version of php does not have this function.  See php.net/manual/en/function.ldap-set-rebind-proc.php') . $form['server']['followrefs']['#description'];
-  }
+    if (!function_exists('ldap_set_rebind_proc')) {
+      $form['server']['followrefs']['#disabled'] = TRUE;
+      $form['server']['followrefs']['#description'] = t('This functionality is disabled because the function ldap_set_rebind_proc can not be found on this server.  Perhaps your version of php does not have this function.  See php.net/manual/en/function.ldap-set-rebind-proc.php') . $form['server']['followrefs']['#description'];
+    }
 
-  $form['server']['tls']['#required'] = FALSE;
-  $form['server']['followrefs']['#required'] = FALSE;
-  $form['bind_method']['bind_method']['#default_value'] = ($this->bind_method) ? $this->bind_method : LDAP_SERVERS_BIND_METHOD_DEFAULT;
-  $form['users']['basedn']['#default_value'] = $this->arrayToLines($this->basedn);
+    $form['server']['tls']['#required'] = FALSE;
+    $form['server']['followrefs']['#required'] = FALSE;
+    $form['bind_method']['bind_method']['#default_value'] = ($this->bind_method) ? $this->bind_method : LDAP_SERVERS_BIND_METHOD_DEFAULT;
+    $form['users']['basedn']['#default_value'] = $this->arrayToLines($this->basedn);
 
-  if ($this->bindpw) {
-    $pwd_directions = t('You currently have a password stored in the database.
+    if ($this->bindpw) {
+      $pwd_directions = t('You currently have a password stored in the database.
       Leave password field empty to leave password unchanged.  Enter a new password
       to replace the current password.  Check the checkbox below to simply
       remove it from the database.');
-    $pwd_class = 'ldap-pwd-present';
-  }
-  else {
-    $pwd_directions = t('No password is currently stored in the database.
-      If you are using a service account, enter one.');
-    if ($this->bind_method == LDAP_SERVERS_BIND_METHOD_SERVICE_ACCT) {
-      $pwd_class = 'ldap-pwd-abscent';
+      $pwd_class = 'ldap-pwd-present';
     }
     else {
-      $pwd_class = 'ldap-pwd-not-applicable';
+      $pwd_directions = t('No password is currently stored in the database.
+      If you are using a service account, enter one.');
+      if ($this->bind_method == LDAP_SERVERS_BIND_METHOD_SERVICE_ACCT) {
+        $pwd_class = 'ldap-pwd-abscent';
+      }
+      else {
+        $pwd_class = 'ldap-pwd-not-applicable';
+      }
     }
-  }
 
-  $action = ($op == 'add') ? 'Add' : 'Update';
-  $form['submit'] = array(
-    '#type' => 'submit',
-    '#value' => $action,
-    '#weight' => 100,
-  );
+    $action = ($op == 'add') ? 'Add' : 'Update';
+    $form['submit'] = [
+      '#type' => 'submit',
+      '#value' => $action,
+      '#weight' => 100,
+    ];
 
-  return $form;
+    return $form;
 
   }
 
-
-  public function drupalFormValidate($op, $values)  {
-    $errors = array();
+  /**
+   *
+   */
+  public function drupalFormValidate($op, $values) {
+    $errors = [];
 
     if ($op == 'delete') {
       if (!$this->sid) {
@@ -332,7 +353,6 @@ class LdapServerAdmin extends LdapServer {
         $errors['status'] = join("<br/>", array_values($warnings));
       }
 
-
     }
     else {
       $this->populateFromDrupalForm($op, $values);
@@ -341,30 +361,33 @@ class LdapServerAdmin extends LdapServer {
     return $errors;
   }
 
+  /**
+   *
+   */
   protected function validate($op) {
-    $errors = array();
+    $errors = [];
     if ($op == 'add') {
       $ldap_servers = $this->getLdapServerObjects(NULL, 'all');
       if (count($ldap_servers)) {
         foreach ($ldap_servers as $sid => $ldap_server) {
           if ($this->name == $ldap_server->name) {
-            $errors['name'] = t('An LDAP server configuration with the  name %name already exists.', array('%name' => $this->name));
+            $errors['name'] = t('An LDAP server configuration with the  name %name already exists.', ['%name' => $this->name]);
           }
           elseif ($this->sid == $ldap_server->sid) {
-            $errors['sid'] = t('An LDAP server configuration with the  id %sid  already exists.', array('%sid' => $this->sid));
+            $errors['sid'] = t('An LDAP server configuration with the  id %sid  already exists.', ['%sid' => $this->sid]);
           }
         }
       }
     }
 
-    if ($this->status == 0) { // check that no modules use this server
+    // Check that no modules use this server.
+    if ($this->status == 0) {
       $warnings = module_invoke_all('ldap_server_in_use', $this->sid, $this->name);
       if (count($warnings)) {
         $errors['status'] = join("<br/>", array_values($warnings));
       }
     }
 
-
     if (!is_numeric($this->port)) {
       $errors['port'] = t('The TCP/IP port must be an integer.');
     }
@@ -391,8 +414,11 @@ class LdapServerAdmin extends LdapServer {
     return $errors;
   }
 
-public function drupalFormWarnings($op, $values, $has_errors = NULL)  {
-    $errors = array();
+  /**
+   *
+   */
+  public function drupalFormWarnings($op, $values, $has_errors = NULL) {
+    $errors = [];
 
     if ($op == 'delete') {
       if (!$this->sid) {
@@ -406,91 +432,62 @@ public function drupalFormWarnings($op, $values, $has_errors = NULL)  {
     return $warnings;
   }
 
+  /**
+   *
+   */
+  protected function warnings($op, $has_errors = NULL) {
 
-protected function warnings($op, $has_errors = NULL) {
-
-    $warnings = array();
+    $warnings = [];
     if ($this->ldap_type) {
       $defaults = ldap_servers_ldaps_option_array();
       if (isset($defaults['user']['user_attr']) && ($this->user_attr != $defaults['user']['user_attr'])) {
-        $tokens = array('%name' => $defaults['name'], '%default' => $defaults['user']['user_attr'], '%user_attr' => $this->user_attr);
+        $tokens = ['%name' => $defaults['name'], '%default' => $defaults['user']['user_attr'], '%user_attr' => $this->user_attr];
         $warnings['user_attr'] = t('The standard UserName attribute in %name is %default.  You have %user_attr. This may be correct
           for your particular LDAP.', $tokens);
       }
 
       if (isset($defaults['user']['mail_attr']) && $this->mail_attr && ($this->mail_attr != $defaults['user']['mail_attr'])) {
-        $tokens = array('%name' => $defaults['name'], '%default' => $defaults['user']['mail_attr'], '%mail_attr' => $this->mail_attr);
+        $tokens = ['%name' => $defaults['name'], '%default' => $defaults['user']['mail_attr'], '%mail_attr' => $this->mail_attr];
         $warnings['mail_attr'] = t('The standard mail attribute in %name is %default.  You have %mail_attr.  This may be correct
           for your particular LDAP.', $tokens);
       }
     }
-  //  if (!$this->status && $has_errors != TRUE) {
-    //  $warnings['status'] =  t('This server configuration is currently disabled.');
-   // }
-
     if (!$this->mail_attr && !$this->mail_template) {
       $warnings['mail_attr'] = t('Mail attribute or Mail Template should be used for most user account functionality.');
     }
 
-   // commented out validation because too many false positives present usability errors.
-   // if ($this->bind_method == LDAP_SERVERS_BIND_METHOD_SERVICE_ACCT) { // Only for service account
-     // $result = ldap_baddn($this->binddn, t('Service Account DN'));
-     // if ($result['boolean'] == FALSE) {
-     //   $warnings['binddn'] =  $result['text'];
-     // }
-   // }
-
-   // foreach ($this->basedn as $basedn) {
-    //  $result = ldap_baddn($basedn, t('User Base DN'));
-     // if ($result['boolean'] == FALSE) {
-     //   $warnings['basedn'] =  $result['text'];
-    //  }
-   // }
-
-   // $result = ldap_badattr($this->user_attr, t('User attribute'));
-   // if ($result['boolean'] == FALSE) {
-    //  $warnings['user_attr'] =  $result['text'];
-   // }
-
-   // if ($this->mail_attr) {
-  //    $result = ldap_badattr($this->mail_attr, t('Mail attribute'));
-   //   if ($result['boolean'] == FALSE) {
-    //    $warnings['mail_attr'] =  $result['text'];
-   //   }
-  //  }
-
-   // $result = ldap_badattr($this->unique_persistent_attr, t('Unique Persistent Attribute'));
-   // if ($result['boolean'] == FALSE) {
-    //  $warnings['unique_persistent_attr'] =  $result['text'];
-   // }
-
     return $warnings;
   }
 
-public function drupalFormSubmit($op, $values) {
+  /**
+   *
+   */
+  public function drupalFormSubmit($op, $values) {
 
-  $this->populateFromDrupalForm($op, $values);
+    $this->populateFromDrupalForm($op, $values);
 
-  if ($values['clear_bindpw']) {
-    $this->bindpw_clear = TRUE;
-  }
+    if ($values['clear_bindpw']) {
+      $this->bindpw_clear = TRUE;
+    }
 
-  if ($op == 'delete') {
-    $this->delete($this);
-  }
-  else { // add or edit
-    try {
-      $save_result = $this->save($op);
+    if ($op == 'delete') {
+      $this->delete($this);
     }
-    catch (Exception $e) {
-      $this->setError('Save Error',
+    // Add or edit.
+    else {
+      try {
+        $save_result = $this->save($op);
+      }
+      catch (Exception $e) {
+        $this->setError('Save Error',
         t('Failed to save object.  Your form data was not saved.'));
+      }
     }
   }
-}
-
-
 
+  /**
+   *
+   */
   protected function arrayToLines($array) {
     $lines = "";
     if (is_array($array)) {
@@ -502,6 +499,9 @@ public function drupalFormSubmit($op, $values) {
     return $lines;
   }
 
+  /**
+   *
+   */
   protected function linesToArray($lines) {
     $lines = trim($lines);
 
@@ -512,159 +512,161 @@ public function drupalFormSubmit($op, $values) {
       }
     }
     else {
-      $array = array();
+      $array = [];
     }
     return $array;
   }
 
-
+  /**
+   *
+   */
   public static function fields() {
 
-     /**
+    /**
      * consumer_type is tag (unique alphanumeric id) of consuming authorization such as
      *   drupal_roles, og_groups, civicrm_memberships
      */
-    $fields = array(
+    $fields = [
 
-      'sid' => array(
-        'form' => array(
+      'sid' => [
+        'form' => [
           'fieldset' => 'server',
           '#type' => 'textfield',
           '#size' => 20,
           '#title' => t('Machine name for this server configuration.'),
           '#description' => t('May only contain alphanumeric characters (a-z, A-Z, 0-9, and _)'),
           '#required' => TRUE,
-        ),
-        'schema' => array(
+        ],
+        'schema' => [
           'type' => 'varchar',
           'length' => 20,
           'not null' => TRUE,
-        )
-      ),
+        ],
+      ],
 
-     'numeric_sid' => array(
-        'schema' => array(
+      'numeric_sid' => [
+        'schema' => [
           'type' => 'serial',
           'unsigned' => TRUE,
           'not null' => TRUE,
           'description' => 'Primary ID field for the table.  Only used internally.',
           'no export' => TRUE,
-        ),
-      ),
+        ],
+      ],
 
-      'name' => array(
-        'form' => array(
+      'name' => [
+        'form' => [
           'fieldset' => 'server',
           '#type' => 'textfield',
           '#size' => 50,
           '#title' => 'Name',
           '#description' => t('Choose a <em><strong>unique</strong></em> name for this server configuration.'),
-        ),
-        'schema' => array(
+        ],
+        'schema' => [
           'type' => 'varchar',
           'length' => 255,
           'not null' => FALSE,
-        ),
-      ),
+        ],
+      ],
 
-      'status' => array(
-        'form' => array(
+      'status' => [
+        'form' => [
           'fieldset' => 'server',
           '#type' => 'checkbox',
           '#title' => t('Enabled'),
           '#description' => t('Disable in order to keep configuration without having it active.'),
           '#required' => FALSE,
-        ),
-        'schema' => array(
+        ],
+        'schema' => [
           'type' => 'int',
           'size' => 'tiny',
           'not null' => FALSE,
           'default' => 0,
-        ),
-      ),
+        ],
+      ],
 
-      'ldap_type' => array(
-        'form' => array(
+      'ldap_type' => [
+        'form' => [
           'fieldset' => 'server',
           '#type' => 'select',
           '#options' => ldap_servers_ldaps_option_array(),
           '#title' => t('LDAP Server Type'),
           '#description' => t('This field is informative.  It\'s purpose is to assist with default values and give validation warnings.'),
-        ),
-        'schema' => array(
+        ],
+        'schema' => [
           'type' => 'varchar',
           'length' => 20,
           'not null' => FALSE,
-        ),
-      ),
+        ],
+      ],
 
-      'address' => array(
-        'form' => array(
+      'address' => [
+        'form' => [
           'fieldset' => 'server',
           '#type' => 'textfield',
           '#title' => t('LDAP server'),
           '#description' => t('The domain name or IP address of your LDAP Server such as "ad.unm.edu". For SSL
         use the form ldaps://DOMAIN such as "ldaps://ad.unm.edu"'),
           '#size' => 50,
-        ),
-        'schema' => array(
+        ],
+        'schema' => [
           'type' => 'varchar',
           'length' => 255,
           'not null' => FALSE,
-        ),
-      ),
+        ],
+      ],
 
-      'port' => array(
-        'form' => array(
+      'port' => [
+        'form' => [
           'fieldset' => 'server',
           '#type' => 'textfield',
           '#title' => t('LDAP port'),
           '#size' => 5,
           '#description' => t('The TCP/IP port on the above server which accepts LDAP connections. Must be an integer.'),
-        ),
-        'schema' => array(
+        ],
+        'schema' => [
           'type' => 'int',
           'not null' => FALSE,
           'default' => 389,
-        ),
-      ),
+        ],
+      ],
 
-      'tls' => array(
-        'form' => array(
+      'tls' => [
+        'form' => [
           'fieldset' => 'server',
           '#type' => 'checkbox',
           '#title' => t('Use Start-TLS'),
           '#description' => t('Secure the connection between the Drupal and the LDAP servers using TLS.<br /><em>Note: To use START-TLS, you must set the LDAP Port to 389.</em>'),
-        ),
-        'schema' => array(
+        ],
+        'schema' => [
           'type' => 'int',
           'size' => 'tiny',
           'not null' => FALSE,
           'default' => 0,
-        ),
-      ),
-
-      'followrefs' => array(
-        'form' => array(
-           'fieldset' => 'server',
-           '#type' => 'checkbox',
-           '#title' => t('Follow LDAP Referrals'),
-           '#description' => t('Makes the LDAP client follow referrals (in the responses from the LDAP server) to other LDAP servers. This requires that the Bind Settings you give, is ALSO valid on these other servers.'),
-          ),
-        'schema' => array(
-           'type' => 'int',
-           'size' => 'tiny',
-           'not null' => FALSE,
-           'default' => 0,
-        ),
-      ),
-
-      'bind_method' => array(
-        'form' => array(
+        ],
+      ],
+
+      'followrefs' => [
+        'form' => [
+          'fieldset' => 'server',
+          '#type' => 'checkbox',
+          '#title' => t('Follow LDAP Referrals'),
+          '#description' => t('Makes the LDAP client follow referrals (in the responses from the LDAP server) to other LDAP servers. This requires that the Bind Settings you give, is ALSO valid on these other servers.'),
+        ],
+        'schema' => [
+          'type' => 'int',
+          'size' => 'tiny',
+          'not null' => FALSE,
+          'default' => 0,
+        ],
+      ],
+
+      'bind_method' => [
+        'form' => [
           'fieldset' => 'bind_method',
           '#type' => 'radios',
           '#title' => t('Binding Method for Searches (such as finding user object or their group memberships)'),
-          '#options' => array(
+          '#options' => [
             LDAP_SERVERS_BIND_METHOD_SERVICE_ACCT => t('Service Account Bind: Use credentials in the
             <strong>Service Account</strong> field to bind to LDAP.  <em>This option is usually a best practice.</em>'),
 
@@ -683,77 +685,76 @@ public function drupalFormSubmit($op, $values) {
 
             LDAP_SERVERS_BIND_METHOD_ANON => t('Anonymous Bind: Use no credentials to bind to LDAP server.<br/>
             <em>This option will not work on most LDAPS connections.</em>'),
-          ),
-        ),
-        'schema' => array(
+          ],
+        ],
+        'schema' => [
           'type' => 'int',
           'size' => 'small',
           'not null' => FALSE,
           'default' => 0,
           'boolean' => FALSE,
-        ),
-      ),
-
-    'binding_service_acct' => array(
-      'form' => array(
-        'fieldset' => 'bind_method',
-        '#type' => 'markup',
-        '#markup' => t('<label>Service Account</label> Some LDAP configurations
+        ],
+      ],
+
+      'binding_service_acct' => [
+        'form' => [
+          'fieldset' => 'bind_method',
+          '#type' => 'markup',
+          '#markup' => t('<label>Service Account</label> Some LDAP configurations
           prohibit or restrict the results of anonymous searches. These LDAPs require a DN//password pair
           for binding. For security reasons, this pair should belong to an
           LDAP account with stripped down permissions.
           This is also required for provisioning LDAP accounts and groups!'),
-        ),
-      ),
-
+        ],
+      ],
 
-      'binddn' => array(
-        'form' => array(
+      'binddn' => [
+        'form' => [
           'fieldset' => 'bind_method',
           '#type' => 'textfield',
           '#title' => t('DN for non-anonymous search'),
           '#size' => 80,
-          '#states' => array(
-             'enabled' => array(   // action to take.
-               ':input[name=bind_method]' => array('value' => (string)LDAP_SERVERS_BIND_METHOD_SERVICE_ACCT),
-              ),
-            ),
-        ),
-        'schema' => array(
+          '#states' => [
+            'enabled' => [
+              ':input[name=bind_method]' => ['value' => (string) LDAP_SERVERS_BIND_METHOD_SERVICE_ACCT],
+            ],
+          ],
+        ],
+        'schema' => [
           'type' => 'varchar',
           'length' => 511,
-        ),
-      ),
+        ],
+      ],
 
-      'bindpw' => array(
-        'form' => array(
+      'bindpw' => [
+        'form' => [
           'fieldset' => 'bind_method',
           '#type' => 'password',
           '#title' => t('Password for non-anonymous search'),
           '#size' => 20,
-          '#states' => array(
-             'enabled' => array(   // action to take.
-               ':input[name=bind_method]' => array('value' => (string)LDAP_SERVERS_BIND_METHOD_SERVICE_ACCT),
-              ),
-            ),
-        ),
-        'schema' => array(
+          '#states' => [
+            'enabled' => [
+              ':input[name=bind_method]' => ['value' => (string) LDAP_SERVERS_BIND_METHOD_SERVICE_ACCT],
+            ],
+          ],
+        ],
+        'schema' => [
           'type' => 'varchar',
           'length' => 255,
-        ),
-      ),
+        ],
+      ],
 
-      'clear_bindpw' => array(
-        'form' => array(
+      'clear_bindpw' => [
+        'form' => [
           'fieldset' => 'bind_method',
           '#type' => 'checkbox',
           '#title' => t('Clear existing password from database.  Check this when switching away from Service Account Binding.'),
           '#default_value' => 0,
-        ),
-      ),
+        ],
+      ],
 
-      'basedn' => array(
-        'form' => array(
+      'basedn' => [
+        'form' => [
           'fieldset' => 'users',
           '#type' => 'textarea',
           '#cols' => 50,
